/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.homePage.modular.hmcarousel.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.homePage.modular.hmcarousel.entity.BizHmCarousel;
import com.unis.homePage.modular.hmcarousel.param.BizHmCarouselAddParam;
import com.unis.homePage.modular.hmcarousel.param.BizHmCarouselEditParam;
import com.unis.homePage.modular.hmcarousel.param.BizHmCarouselIdParam;
import com.unis.homePage.modular.hmcarousel.param.BizHmCarouselPageParam;

import java.util.List;

/**
 * 首页管理-头条轮播管理表Service接口
 *
 * @author shine
 * @date  2024/05/20 19:25
 **/
public interface BizHmCarouselService extends IService<BizHmCarousel> {

    /**
     * 获取首页管理-头条轮播管理表分页
     *
     * @author shine
     * @date  2024/05/20 19:25
     */
    Page<BizHmCarousel> page(BizHmCarouselPageParam bizHmCarouselPageParam);

    /**
     * 添加首页管理-头条轮播管理表
     *
     * @author shine
     * @date  2024/05/20 19:25
     */
    void add(BizHmCarouselAddParam bizHmCarouselAddParam);

    /**
     * 编辑首页管理-头条轮播管理表
     *
     * @author shine
     * @date  2024/05/20 19:25
     */
    void edit(BizHmCarouselEditParam bizHmCarouselEditParam);

    /**
     * 删除首页管理-头条轮播管理表
     *
     * @author shine
     * @date  2024/05/20 19:25
     */
    void delete(List<BizHmCarouselIdParam> bizHmCarouselIdParamList);

    /**
     * 获取首页管理-头条轮播管理表详情
     *
     * @author shine
     * @date  2024/05/20 19:25
     */
    BizHmCarousel detail(BizHmCarouselIdParam bizHmCarouselIdParam);

    /**
     * 获取首页管理-头条轮播管理表详情
     *
     * @author shine
     * @date  2024/05/20 19:25
     **/
    BizHmCarousel queryEntity(String id);

    void batchUpdateStatus(List<BizHmCarousel> list);

}
