/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.homePage.modular.hmcarouselconfig.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.homePage.modular.hmcarouselconfig.entity.BizHmCarouselConfig;
import com.unis.homePage.modular.hmcarouselconfig.param.BizHmCarouselConfigAddParam;
import com.unis.homePage.modular.hmcarouselconfig.param.BizHmCarouselConfigEditParam;
import com.unis.homePage.modular.hmcarouselconfig.param.BizHmCarouselConfigIdParam;
import com.unis.homePage.modular.hmcarouselconfig.param.BizHmCarouselConfigPageParam;

import java.util.List;
import java.util.Map;

/**
 * 首页管理-轮播图配置表Service接口
 *
 * @author shine
 * @date  2024/05/20 19:23
 **/
public interface BizHmCarouselConfigService extends IService<BizHmCarouselConfig> {

    /**
     * 获取首页管理-轮播图配置表分页
     *
     * @author shine
     * @date  2024/05/20 19:23
     */
    Page<BizHmCarouselConfig> page(BizHmCarouselConfigPageParam bizHmCarouselConfigPageParam);

    /**
     * 添加首页管理-轮播图配置表
     *
     * @author shine
     * @date  2024/05/20 19:23
     */
    void add(BizHmCarouselConfigAddParam bizHmCarouselConfigAddParam);

    /**
     * 编辑首页管理-轮播图配置表
     *
     * @author shine
     * @date  2024/05/20 19:23
     */
    void edit(BizHmCarouselConfigEditParam bizHmCarouselConfigEditParam);

    /**
     * 删除首页管理-轮播图配置表
     *
     * @author shine
     * @date  2024/05/20 19:23
     */
    void delete(List<BizHmCarouselConfigIdParam> bizHmCarouselConfigIdParamList);

    /**
     * 获取首页管理-轮播图配置表详情
     *
     * @author shine
     * @date  2024/05/20 19:23
     */
    BizHmCarouselConfig detail(BizHmCarouselConfigIdParam bizHmCarouselConfigIdParam);

    /**
     * 获取首页管理-轮播图配置表详情
     *
     * @author shine
     * @date  2024/05/20 19:23
     **/
    BizHmCarouselConfig queryEntity(String id);

}
