/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.homePage.modular.hmimagenews.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.homePage.modular.hmimagenews.entity.BizHmImageNews;
import com.unis.homePage.modular.hmimagenews.param.BizHmImageNewsAddParam;
import com.unis.homePage.modular.hmimagenews.param.BizHmImageNewsEditParam;
import com.unis.homePage.modular.hmimagenews.param.BizHmImageNewsIdParam;
import com.unis.homePage.modular.hmimagenews.param.BizHmImageNewsPageParam;

import java.util.List;

/**
 * 首页管理-图片新闻管理表Service接口
 *
 * @author shine
 * @date  2024/05/20 19:33
 **/
public interface BizHmImageNewsService extends IService<BizHmImageNews> {

    /**
     * 获取首页管理-图片新闻管理表分页
     *
     * @author shine
     * @date  2024/05/20 19:33
     */
    Page<BizHmImageNews> page(BizHmImageNewsPageParam bizHmImageNewsPageParam);

    /**
     * 添加首页管理-图片新闻管理表
     *
     * @author shine
     * @date  2024/05/20 19:33
     */
    void add(BizHmImageNewsAddParam bizHmImageNewsAddParam);

    /**
     * 编辑首页管理-图片新闻管理表
     *
     * @author shine
     * @date  2024/05/20 19:33
     */
    void edit(BizHmImageNewsEditParam bizHmImageNewsEditParam);

    /**
     * 删除首页管理-图片新闻管理表
     *
     * @author shine
     * @date  2024/05/20 19:33
     */
    void delete(List<BizHmImageNewsIdParam> bizHmImageNewsIdParamList);

    /**
     * 获取首页管理-图片新闻管理表详情
     *
     * @author shine
     * @date  2024/05/20 19:33
     */
    BizHmImageNews detail(BizHmImageNewsIdParam bizHmImageNewsIdParam);

    /**
     * 获取首页管理-图片新闻管理表详情
     *
     * @author shine
     * @date  2024/05/20 19:33
     **/
    BizHmImageNews queryEntity(String id);

    String batchUpdateStatus(List<BizHmImageNews> list);
}
