/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.homePage.modular.hmrelatedwebsitesconfig.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.homePage.modular.hmrelatedwebsitesconfig.entity.BizHmRelatedWebsitesConfig;
import com.unis.homePage.modular.hmrelatedwebsitesconfig.param.BizHmRelatedWebsitesConfigAddParam;
import com.unis.homePage.modular.hmrelatedwebsitesconfig.param.BizHmRelatedWebsitesConfigEditParam;
import com.unis.homePage.modular.hmrelatedwebsitesconfig.param.BizHmRelatedWebsitesConfigIdParam;
import com.unis.homePage.modular.hmrelatedwebsitesconfig.param.BizHmRelatedWebsitesConfigPageParam;

import java.util.List;

/**
 * 首页管理-相关网站模块配置表Service接口
 *
 * @author shine
 * @date  2024/05/20 19:36
 **/
public interface BizHmRelatedWebsitesConfigService extends IService<BizHmRelatedWebsitesConfig> {

    /**
     * 获取首页管理-相关网站模块配置表分页
     *
     * @author shine
     * @date  2024/05/20 19:36
     */
    Page<BizHmRelatedWebsitesConfig> page(BizHmRelatedWebsitesConfigPageParam bizHmRelatedWebsitesConfigPageParam);

    /**
     * 添加首页管理-相关网站模块配置表
     *
     * @author shine
     * @date  2024/05/20 19:36
     */
    void add(BizHmRelatedWebsitesConfigAddParam bizHmRelatedWebsitesConfigAddParam);

    /**
     * 编辑首页管理-相关网站模块配置表
     *
     * @author shine
     * @date  2024/05/20 19:36
     */
    void edit(BizHmRelatedWebsitesConfigEditParam bizHmRelatedWebsitesConfigEditParam);

    /**
     * 删除首页管理-相关网站模块配置表
     *
     * @author shine
     * @date  2024/05/20 19:36
     */
    void delete(List<BizHmRelatedWebsitesConfigIdParam> bizHmRelatedWebsitesConfigIdParamList);

    /**
     * 获取首页管理-相关网站模块配置表详情
     *
     * @author shine
     * @date  2024/05/20 19:36
     */
    BizHmRelatedWebsitesConfig detail(BizHmRelatedWebsitesConfigIdParam bizHmRelatedWebsitesConfigIdParam);

    /**
     * 获取首页管理-相关网站模块配置表详情
     *
     * @author shine
     * @date  2024/05/20 19:36
     **/
    BizHmRelatedWebsitesConfig queryEntity(String id);

    void batchUpdateStatus(List<BizHmRelatedWebsitesConfig> list);
}
