/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.homePage.modular.pbcontrol.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.homePage.modular.pbcontrol.entity.BizPbControl;
import com.unis.homePage.modular.pbcontrol.param.BizPbControlAddParam;
import com.unis.homePage.modular.pbcontrol.param.BizPbControlEditParam;
import com.unis.homePage.modular.pbcontrol.param.BizPbControlIdParam;
import com.unis.homePage.modular.pbcontrol.param.BizPbControlPageParam;

import java.util.List;

/**
 * 门户背景控制Service接口
 *
 * @author shine
 * @date  2024/06/03 10:47
 **/
public interface BizPbControlService extends IService<BizPbControl> {

    /**
     * 获取门户背景控制分页
     *
     * @author shine
     * @date  2024/06/03 10:47
     */
    Page<BizPbControl> page(BizPbControlPageParam bizPbControlPageParam);

    /**
     * 添加门户背景控制
     *
     * @author shine
     * @date  2024/06/03 10:47
     */
    void add(BizPbControlAddParam bizPbControlAddParam);

    /**
     * 编辑门户背景控制
     *
     * @author shine
     * @date  2024/06/03 10:47
     */
    void edit(BizPbControlEditParam bizPbControlEditParam);

    /**
     * 删除门户背景控制
     *
     * @author shine
     * @date  2024/06/03 10:47
     */
    void delete(List<BizPbControlIdParam> bizPbControlIdParamList);

    /**
     * 获取门户背景控制详情
     *
     * @author shine
     * @date  2024/06/03 10:47
     */
    BizPbControl detail(BizPbControlIdParam bizPbControlIdParam);

    /**
     * 获取门户背景控制详情
     *
     * @author shine
     * @date  2024/06/03 10:47
     **/
    BizPbControl queryEntity(String id);
}
