/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.importantNews.modular.sinnoticeannouncement.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 要闻概况-通知公告管理表添加参数
 *
 * @author shine
 * @date  2024/05/21 15:33
 **/
@Getter
@Setter
public class BizSinNoticeAnnouncementAddParam {

    /** 标题 */
    @ApiModelProperty(value = "标题", position = 6)
    private String title;

    /** 发布时间 */
    @ApiModelProperty(value = "发布时间", position = 7)
    private Date publishTime;

    /** 来源 */
    @ApiModelProperty(value = "来源", position = 8)
    private String source;

    /** 公告内容 */
    @ApiModelProperty(value = "公告内容", position = 9)
    private String announcementContent;

    /** 状态，1：保存；2：提交（启用）；3：禁用 */
    @ApiModelProperty(value = "状态，1：保存；2：提交（启用）；3：禁用", position = 10)
    private Integer status;

}
