/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.interactiveCommunication.modular.icLeaderMailbox.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.interactiveCommunication.modular.icLeaderMailbox.entity.IcLeaderMailbox;
import com.unis.interactiveCommunication.modular.icLeaderMailbox.param.IcLeaderMailboxAddParam;
import com.unis.interactiveCommunication.modular.icLeaderMailbox.param.IcLeaderMailboxEditParam;
import com.unis.interactiveCommunication.modular.icLeaderMailbox.param.IcLeaderMailboxIdParam;
import com.unis.interactiveCommunication.modular.icLeaderMailbox.param.IcLeaderMailboxPageParam;

import java.util.List;

/**
 * 互动交流-领导信箱表Service接口
 *
 * @author hjc
 * @date  2024/05/23 09:26
 **/
public interface IcLeaderMailboxService extends IService<IcLeaderMailbox> {

    /**
     * 获取互动交流-领导信箱表分页
     *
     * @author hjc
     * @date  2024/05/23 09:26
     */
    Page<IcLeaderMailbox> page(IcLeaderMailboxPageParam icLeaderMailboxPageParam);

    /**
     * 添加互动交流-领导信箱表
     *
     * @author hjc
     * @date  2024/05/23 09:26
     */
    void add(IcLeaderMailboxAddParam icLeaderMailboxAddParam);

    /**
     * 编辑互动交流-领导信箱表
     *
     * @author hjc
     * @date  2024/05/23 09:26
     */
    void edit(IcLeaderMailboxEditParam icLeaderMailboxEditParam);

    /**
     * 删除互动交流-领导信箱表
     *
     * @author hjc
     * @date  2024/05/23 09:26
     */
    void delete(List<IcLeaderMailboxIdParam> icLeaderMailboxIdParamList);

    /**
     * 获取互动交流-领导信箱表详情
     *
     * @author hjc
     * @date  2024/05/23 09:26
     */
    IcLeaderMailbox detail(IcLeaderMailboxIdParam icLeaderMailboxIdParam);

    /**
     * 获取互动交流-领导信箱表详情
     *
     * @author hjc
     * @date  2024/05/23 09:26
     **/
    IcLeaderMailbox queryEntity(String id);

    /**
     * 网站-一页展示5条数据
     *
     * @author hjc
     * @date  2024/05/23 09:26
     */
    Page<IcLeaderMailbox> getSitePage(IcLeaderMailboxPageParam icLeaderMailboxPageParam);
}
