/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.interactiveCommunication.modular.icPublicComplaint.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 互动交流-信访举报表添加参数
 *
 * @author hjc
 * @date  2024/05/24 14:40
 **/
@Getter
@Setter
public class IcPublicComplaintAddParam {

    /** 被举报人 */
    @ApiModelProperty(value = "被举报人", position = 6)
    @NotBlank(message = "被举报人不能为空")
    private String reportedPerson;

    /** 被举报部门；biz_io_department_function的id； */
    @ApiModelProperty(value = "被举报部门；biz_io_department_function的id；", position = 7)
    @NotBlank(message = "被举报部门不能为空")
    private String ioDepartmentFunctionId;

    /** 举报内容 */
    @ApiModelProperty(value = "举报内容", position = 8)
    @NotBlank(message = "被举报内容不能为空")
    private String complaintContent;

    /** 联系方式 */
    @ApiModelProperty(value = "联系方式", position = 9)
    private String contactInformation;

    /** 投诉编号 */
    @ApiModelProperty(value = "投诉编号", position = 10)
    private String complaintNumber;

    /** 回复人 */
    @ApiModelProperty(value = "回复人", position = 11)
    private String respondent;

    /** 回复内容 */
    @ApiModelProperty(value = "回复内容", position = 12)
    private String responseContent;

    /** 是否回复，0：否；1：是 */
    @ApiModelProperty(value = "是否回复，0：否；1：是", position = 13)
    private Integer isResponded;

    /** 办结日期 */
    @ApiModelProperty(value = "办结日期", position = 14)
    private Date completionDate;

    /** 验证码 */
    @ApiModelProperty(value = "验证码", position = 15)
    private String validCode;

    /** 验证码请求号 */
    @ApiModelProperty(value = "验证码请求号", position = 16)
    private String validCodeReqNo;


}
