/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.interactiveCommunication.modular.icPublicOpinionCollect.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 互动交流-民意征集管理表添加参数
 *
 * @author hjc
 * @date  2024/05/23 19:44
 **/
@Getter
@Setter
public class IcPublicOpinionCollectAddParam {

    /** 征集标题 */
    @ApiModelProperty(value = "征集标题", position = 6)
    private String collectionTitle;

    /** 开始时间 */
    @ApiModelProperty(value = "开始时间", position = 7)
    private Date startTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间", position = 8)
    private Date endTime;

    /** 公告内容 */
    @ApiModelProperty(value = "公告内容", position = 9)
    private String announcementContent;

    /** 附件，多个附件用","分割 */
    @ApiModelProperty(value = "附件，多个附件用,分割", position = 10)
    private String attachments;

    /** 状态，1：保存；2：提交（启用）；3：禁用； */
    @ApiModelProperty(value = "状态，1：保存；2：提交（启用）；3：禁用；", position = 11)
    private Integer status;

    /** status=2，值有意义；进行状态 0：未开始；1：征集中；2：已过期； */
    @ApiModelProperty(value = "status=2，值有意义；进行状态 0：未开始；1：征集中；2：已过期；", position = 12)
    private Integer progressStatus;

    /** 征集部门；biz_io_department_function的id */
    @ApiModelProperty(value = "征集部门；biz_io_department_function的id；", position = 10)
    private String ioDepartmentFunctionId;

}
