/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.interactiveCommunication.modular.icPublicOpinionCollect.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.pojo.CommonValidList;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollect.entity.IcPublicOpinionCollect;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollect.param.*;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollect.vo.IcPublicOpinionCollectVO;
import com.unis.openGovernment.modular.ogAdministrativeDocument.param.OgAdministrativeDocumentAndStatusParam;
import com.unis.organization.modular.iodepartmentfunction.entity.BizIoDepartmentFunction;

import java.util.List;

/**
 * 互动交流-民意征集管理表Service接口
 *
 * @author hjc
 * @date  2024/05/23 19:44
 **/
public interface IcPublicOpinionCollectService extends IService<IcPublicOpinionCollect> {

    /**
     * 获取互动交流-民意征集管理表分页
     *
     * @author hjc
     * @date  2024/05/23 19:44
     */
    Page<IcPublicOpinionCollectVO> page(IcPublicOpinionCollectPageParam icPublicOpinionCollectPageParam);

    /**
     * 添加互动交流-民意征集管理表
     *
     * @author hjc
     * @date  2024/05/23 19:44
     */
    void add(IcPublicOpinionCollectAddParam icPublicOpinionCollectAddParam);

    /**
     * 编辑互动交流-民意征集管理表
     *
     * @author hjc
     * @date  2024/05/23 19:44
     */
    void edit(IcPublicOpinionCollectEditParam icPublicOpinionCollectEditParam);

    /**
     * 删除互动交流-民意征集管理表
     *
     * @author hjc
     * @date  2024/05/23 19:44
     */
    void delete(List<IcPublicOpinionCollectIdParam> icPublicOpinionCollectIdParamList);

    /**
     * 获取互动交流-民意征集管理表详情
     *
     * @author hjc
     * @date  2024/05/23 19:44
     */
    JSONObject detail(IcPublicOpinionCollectIdParam icPublicOpinionCollectIdParam);

    /**
     * 获取互动交流-民意征集管理表详情
     *
     * @author hjc
     * @date  2024/05/23 19:44
     **/
    IcPublicOpinionCollect queryEntity(String id);
    /**
     * 获取征集部门信息
     *
     * @author hjc
     * @date  2024/05/23 19:44
     */
    List<BizIoDepartmentFunction> getIoDepartmentFunction();
    /**
     * 启用，禁用
     *
     * @author hjc
     * @date  2024/05/20 16:18
     */
    void enableAndDisable(CommonValidList<OgAdministrativeDocumentAndStatusParam> paramCommonValidList);

    /**
     * 网站-分页展示
     *
     * @author hjc
     * @date  2024/05/23 19:44
     */
    Page<IcPublicOpinionCollect> getSitePage(IcPublicOpinionCollectPageParam icPublicOpinionCollectPageParam);

    /**
     * 审核留言-通过、不通过
     *
     * @author hjc
     * @date  2024/05/23 23:40
     */
    void auditStatus(IcPublicOpinionAuditStatusParam icPublicOpinionAuditStatusParam);

    /**
     * 获取网站-详情
     *
     * @author hjc
     * @date 2024/05/23 19:44
     */
    JSONObject siteDetail(IcPublicOpinionCollectIdParam icPublicOpinionCollectIdParam);
}
