/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.entity.IcPublicOpinionCollectMessage;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessageAddParam;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessageEditParam;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessageIdParam;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessagePageParam;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.service.IcPublicOpinionCollectMessageService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

/**
 * 互动交流-民意征集管理-留言表控制器
 *
 * @author hjc
 * @date  2024/05/23 23:40
 */
@Api(tags = "互动交流-民意征集管理-留言表控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class IcPublicOpinionCollectMessageController {

    @Resource
    private IcPublicOpinionCollectMessageService icPublicOpinionCollectMessageService;

/*    *//**
     * 获取互动交流-民意征集管理-留言表分页
     *
     * @author hjc
     * @date  2024/05/23 23:40
     *//*
    @ApiOperationSupport(order = 1)
    @ApiOperation("获取互动交流-民意征集管理-留言表分页")
    //@SaCheckPermission("/interactiveCommunication/icPublicOpinionCollectMessage/page")
    @GetMapping("/interactiveCommunication/icPublicOpinionCollectMessage/page")
    public CommonResult<Page<IcPublicOpinionCollectMessage>> page(IcPublicOpinionCollectMessagePageParam icPublicOpinionCollectMessagePageParam) {
        return CommonResult.data(icPublicOpinionCollectMessageService.page(icPublicOpinionCollectMessagePageParam));
    }*/

    /**
     * 添加互动交流-民意征集管理-留言表
     *
     * @author hjc
     * @date  2024/05/23 23:40
     */
    @ApiOperationSupport(order = 2)
    @ApiOperation("添加互动交流-民意征集管理-留言表")
    @CommonLog("添加互动交流-民意征集管理-留言表")
    //@SaCheckPermission("/interactiveCommunication/icPublicOpinionCollectMessage/add")
    @PostMapping("/interactiveCommunication/icPublicOpinionCollectMessage/add")
    public CommonResult<String> add(@RequestBody @Valid IcPublicOpinionCollectMessageAddParam icPublicOpinionCollectMessageAddParam) {
        icPublicOpinionCollectMessageService.add(icPublicOpinionCollectMessageAddParam);
        return CommonResult.ok();
    }

  /*  *//**
     * 编辑互动交流-民意征集管理-留言表
     *
     * @author hjc
     * @date  2024/05/23 23:40
     *//*
    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑互动交流-民意征集管理-留言表")
    @CommonLog("编辑互动交流-民意征集管理-留言表")
    //@SaCheckPermission("/interactiveCommunication/icPublicOpinionCollectMessage/edit")
    @PostMapping("/interactiveCommunication/icPublicOpinionCollectMessage/edit")
    public CommonResult<String> edit(@RequestBody @Valid IcPublicOpinionCollectMessageEditParam icPublicOpinionCollectMessageEditParam) {
        icPublicOpinionCollectMessageService.edit(icPublicOpinionCollectMessageEditParam);
        return CommonResult.ok();
    }

    *//**
     * 删除互动交流-民意征集管理-留言表
     *
     * @author hjc
     * @date  2024/05/23 23:40
     *//*
    @ApiOperationSupport(order = 4)
    @ApiOperation("删除互动交流-民意征集管理-留言表")
    @CommonLog("删除互动交流-民意征集管理-留言表")
    //@SaCheckPermission("/interactiveCommunication/icPublicOpinionCollectMessage/delete")
    @PostMapping("/interactiveCommunication/icPublicOpinionCollectMessage/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<IcPublicOpinionCollectMessageIdParam> icPublicOpinionCollectMessageIdParamList) {
        icPublicOpinionCollectMessageService.delete(icPublicOpinionCollectMessageIdParamList);
        return CommonResult.ok();
    }

    *//**
     * 获取互动交流-民意征集管理-留言表详情
     *
     * @author hjc
     * @date  2024/05/23 23:40
     *//*
    @ApiOperationSupport(order = 5)
    @ApiOperation("获取互动交流-民意征集管理-留言表详情")
    //@SaCheckPermission("/interactiveCommunication/icPublicOpinionCollectMessage/detail")
    @GetMapping("/interactiveCommunication/icPublicOpinionCollectMessage/detail")
    public CommonResult<IcPublicOpinionCollectMessage> detail(@Valid IcPublicOpinionCollectMessageIdParam icPublicOpinionCollectMessageIdParam) {
        return CommonResult.data(icPublicOpinionCollectMessageService.detail(icPublicOpinionCollectMessageIdParam));
    }*/
}
