/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 互动交流-民意征集管理-留言表实体
 *
 * @author hjc
 * @date  2024/05/23 23:40
 **/
@Getter
@Setter
@TableName("biz_ic_public_opinion_collect_message")
public class IcPublicOpinionCollectMessage {

    /** 留言记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "留言记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 民意征集管理的id；biz_ic_public_opinion_collect的id； */
    @ApiModelProperty(value = "民意征集管理的id；biz_ic_public_opinion_collect的id；", position = 6)
    private String publicOpinionCollectId;

    /** 昵称 */
    @ApiModelProperty(value = "昵称", position = 7)
    private String nickname;

    /** 手机号 */
    @ApiModelProperty(value = "手机号", position = 8)
    private String mobileNumber;

    /** 留言内容 */
    @ApiModelProperty(value = "留言内容", position = 9)
    private String content;

    /** 状态 0：未审核；1：审核通过；2：审核不通过； */
    @ApiModelProperty(value = "状态 0：未审核；1：审核通过；2：审核不通过；", position = 10)
    private Integer auditStatus;
}
