/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.entity.IcPublicOpinionCollectMessage;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessageAddParam;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessageEditParam;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessageIdParam;
import com.unis.interactiveCommunication.modular.icPublicOpinionCollectMessage.param.IcPublicOpinionCollectMessagePageParam;

import java.util.List;

/**
 * 互动交流-民意征集管理-留言表Service接口
 *
 * @author hjc
 * @date  2024/05/23 23:40
 **/
public interface IcPublicOpinionCollectMessageService extends IService<IcPublicOpinionCollectMessage> {

    /**
     * 获取互动交流-民意征集管理-留言表分页
     *
     * @author hjc
     * @date  2024/05/23 23:40
     */
    Page<IcPublicOpinionCollectMessage> page(IcPublicOpinionCollectMessagePageParam icPublicOpinionCollectMessagePageParam);

    /**
     * 添加互动交流-民意征集管理-留言表
     *
     * @author hjc
     * @date  2024/05/23 23:40
     */
    void add(IcPublicOpinionCollectMessageAddParam icPublicOpinionCollectMessageAddParam);

    /**
     * 编辑互动交流-民意征集管理-留言表
     *
     * @author hjc
     * @date  2024/05/23 23:40
     */
    void edit(IcPublicOpinionCollectMessageEditParam icPublicOpinionCollectMessageEditParam);

    /**
     * 删除互动交流-民意征集管理-留言表
     *
     * @author hjc
     * @date  2024/05/23 23:40
     */
    void delete(List<IcPublicOpinionCollectMessageIdParam> icPublicOpinionCollectMessageIdParamList);

    /**
     * 获取互动交流-民意征集管理-留言表详情
     *
     * @author hjc
     * @date  2024/05/23 23:40
     */
    IcPublicOpinionCollectMessage detail(IcPublicOpinionCollectMessageIdParam icPublicOpinionCollectMessageIdParam);

    /**
     * 获取互动交流-民意征集管理-留言表详情
     *
     * @author hjc
     * @date  2024/05/23 23:40
     **/
    IcPublicOpinionCollectMessage queryEntity(String id);
}
