/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.openGovernment.modular.ogAdministrativeDocument.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 政务公开-行政规范性文件管理表实体
 *
 * @author hjc
 * @date  2024/05/22 14:48
 **/
@Getter
@Setter
@TableName("biz_og_administrative_document")
public class OgAdministrativeDocument {

    /** 行政规范性文件唯一标识符 */
    @TableId
    @ApiModelProperty(value = "行政规范性文件唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 公文名称 */
    @ApiModelProperty(value = "公文名称", position = 6)
    private String documentName;

    /** 索引号 */
    @ApiModelProperty(value = "索引号", position = 7)
    private String indexNumber;

    /** 文号 */
    @ApiModelProperty(value = "文号", position = 8)
    private String documentNumber;

    /** 信息来源 */
    @ApiModelProperty(value = "信息来源", position = 9)
    private String informationSource;

    /** 效力状态，0：无效；1：有效； */
    @ApiModelProperty(value = "效力状态，0：无效；1：有效；", position = 10)
    private Boolean validityStatus;

    /** 发布时间 */
    @ApiModelProperty(value = "发布时间", position = 11)
    private Date publishTime;

    /** 公告内容 */
    @ApiModelProperty(value = "公告内容", position = 12)
    private String announcementContent;

    /** 附件，多个附件用","分割 */
    @ApiModelProperty(value = "附件，多个附件用,分割", position = 13)
    private String attachments;

    /** 状态，1：保存；2：提交（启用）；3：禁用 */
    @ApiModelProperty(value = "状态，1：保存；2：提交（启用）；3：禁用", position = 14)
    private Integer status;
}
