/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.openGovernment.modular.ogAdministrativePenalty.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.pojo.CommonValidList;
import com.unis.openGovernment.modular.ogAdministrativePenalty.entity.OgAdministrativePenalty;
import com.unis.openGovernment.modular.ogAdministrativePenalty.param.OgAdministrativePenaltyAddParam;
import com.unis.openGovernment.modular.ogAdministrativePenalty.param.OgAdministrativePenaltyEditParam;
import com.unis.openGovernment.modular.ogAdministrativePenalty.param.OgAdministrativePenaltyIdParam;
import com.unis.openGovernment.modular.ogAdministrativePenalty.param.OgAdministrativePenaltyPageParam;
import com.unis.openGovernment.modular.ogProactiveDisclosure.param.OgGovernmentAndStatusParam;

import java.util.List;

/**
 * 公开内容管理-行政处罚表Service接口
 *
 * @author hjc
 * @date  2024/05/20 20:57
 **/
public interface OgAdministrativePenaltyService extends IService<OgAdministrativePenalty> {

    /**
     * 获取公开内容管理-行政处罚表分页
     *
     * @author hjc
     * @date  2024/05/20 20:57
     */
    Page<OgAdministrativePenalty> page(OgAdministrativePenaltyPageParam ogAdministrativePenaltyPageParam);

    /**
     * 添加公开内容管理-行政处罚表
     *
     * @author hjc
     * @date  2024/05/20 20:57
     */
    void add(OgAdministrativePenaltyAddParam ogAdministrativePenaltyAddParam);

    /**
     * 编辑公开内容管理-行政处罚表
     *
     * @author hjc
     * @date  2024/05/20 20:57
     */
    void edit(OgAdministrativePenaltyEditParam ogAdministrativePenaltyEditParam);

    /**
     * 删除公开内容管理-行政处罚表
     *
     * @author hjc
     * @date  2024/05/20 20:57
     */
    void delete(List<OgAdministrativePenaltyIdParam> ogAdministrativePenaltyIdParamList);

    /**
     * 获取公开内容管理-行政处罚表详情
     *
     * @author hjc
     * @date  2024/05/20 20:57
     */
    OgAdministrativePenalty detail(OgAdministrativePenaltyIdParam ogAdministrativePenaltyIdParam);

    /**
     * 获取公开内容管理-行政处罚表详情
     *
     * @author hjc
     * @date  2024/05/20 20:57
     **/
    OgAdministrativePenalty queryEntity(String id);

    /**
     * 启用，禁用
     *
     * @author hjc
     * @date  2024/05/20 16:18
     */
    void enableAndDisable(CommonValidList<OgGovernmentAndStatusParam> paramCommonValidList);
    /**
     * 网站-行政处罚表详情
     *
     * @author hjc
     * @date  2024/05/20 20:57
     */
    OgAdministrativePenalty getOgAdministrativePenalty();
    /**
     * 网站-行政处罚表分页
     *
     * @author hjc
     * @date  2024/05/20 20:57
     */
    Page<OgAdministrativePenalty> OgAdministrativePenaltyPage(OgAdministrativePenaltyPageParam ogAdministrativePenaltyPageParam);
}
