/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.openGovernment.modular.ogAnnualReport.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.pojo.CommonValidList;
import com.unis.openGovernment.modular.ogAnnualReport.entity.OgAnnualReport;
import com.unis.openGovernment.modular.ogAnnualReport.param.*;
import com.unis.openGovernment.modular.ogDutyBasis.param.OgDutyBasisAndStatusParam;

import java.util.List;

/**
 * 政务公开-公开年报管理表Service接口
 *
 * @author hjc
 * @date  2024/05/22 09:24
 **/
public interface OgAnnualReportService extends IService<OgAnnualReport> {

    /**
     * 获取政务公开-公开年报管理表分页
     *
     * @author hjc
     * @date  2024/05/22 09:24
     */
    Page<OgAnnualReport> page(OgAnnualReportPageParam ogAnnualReportPageParam);

    /**
     * 添加政务公开-公开年报管理表
     *
     * @author hjc
     * @date  2024/05/22 09:24
     */
    void add(OgAnnualReportAddParam ogAnnualReportAddParam);

    /**
     * 编辑政务公开-公开年报管理表
     *
     * @author hjc
     * @date  2024/05/22 09:24
     */
    void edit(OgAnnualReportEditParam ogAnnualReportEditParam);

    /**
     * 删除政务公开-公开年报管理表
     *
     * @author hjc
     * @date  2024/05/22 09:24
     */
    void delete(List<OgAnnualReportIdParam> ogAnnualReportIdParamList);

    /**
     * 获取政务公开-公开年报管理表详情
     *
     * @author hjc
     * @date  2024/05/22 09:24
     */
    OgAnnualReport detail(OgAnnualReportIdParam ogAnnualReportIdParam);

    /**
     * 获取政务公开-公开年报管理表详情
     *
     * @author hjc
     * @date  2024/05/22 09:24
     **/
    OgAnnualReport queryEntity(String id);
    /**
     * 启用，禁用
     *
     * @author hjc
     * @date  2024/05/20 16:18
     */
    void enableAndDisable(CommonValidList<OgAnnualReportAndStatusParam> paramCommonValidList);
    /**
     * 网站-获取公开年报
     *
     * @author hjc
     * @date  2024/05/22 09:24
     */
    Page<OgAnnualReport> getAll(OgAnnualReportPageParam ogAnnualReportPageParam);
}
