/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.openGovernment.modular.ogOpenInfoRequest.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 政务公开-依公开申请管理表实体
 *
 * @author hjc
 * @date  2024/05/22 16:19
 **/
@Getter
@Setter
@TableName("biz_og_open_info_request")
public class OgOpenInfoRequest {

    /** 申请记录唯一标识符 */
    @TableId
    @ApiModelProperty(value = "申请记录唯一标识符", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @ApiModelProperty(value = "修改用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 申请类型，1：公民；2：法人/其他组织 */
    @ApiModelProperty(value = "申请类型，1：公民；2：法人/其他组织", position = 6)
    private Integer requestType;

    /** 姓名（公民）/名称（法人/其他组织） */
    @ApiModelProperty(value = "姓名（公民）/名称（法人/其他组织）", position = 7)
    private String name;

    /** 工作单位（仅公民） */
    @ApiModelProperty(value = "工作单位（仅公民）", position = 8)
    private String workUnit;

    /** 证件号码 */
    @ApiModelProperty(value = "request_type=1时，证件号码（仅公民）；\n" +
            "request_type=2时，法人代表身份证号（仅法人/其他组织）；", position = 9)
    private String identificationNumber;

    /** 联系电话 */
    @ApiModelProperty(value = "联系电话", position = 10)
    private String contactNumber;

    /** 邮政编码 */
    @ApiModelProperty(value = "邮政编码", position = 11)
    private String postalCode;

    /** 联系地址 */
    @ApiModelProperty(value = "联系地址", position = 12)
    private String contactAddress;

    /** 电子邮件 */
    @ApiModelProperty(value = "电子邮件", position = 13)
    private String email;

    /** 营业执照注册号（仅法人/其他组织） */
    @ApiModelProperty(value = "营业执照注册号（仅法人/其他组织）", position = 14)
    private String businessLicenseNumber;

    /** 组织机构代码（仅法人/其他组织） */
    @ApiModelProperty(value = "组织机构代码（仅法人/其他组织）", position = 15)
    private String organizationCode;

    /** 法人代表（仅法人/其他组织） */
    @ApiModelProperty(value = "法人代表（仅法人/其他组织）", position = 16)
    private String legalRepresentative;

    /** 联系人姓名 */
    @ApiModelProperty(value = "联系人姓名", position = 18)
    private String contactPersonName;

    /** 联系人电话 */
    @ApiModelProperty(value = "联系人电话", position = 19)
    private String contactPersonPhone;

    /** 所需信息的名称 */
    @ApiModelProperty(value = "所需信息的名称", position = 20)
    private String informationName;

    /** 所需信息的内容描述 */
    @ApiModelProperty(value = "所需信息的内容描述", position = 21)
    private String informationDescription;

    /** 所需信息的信息用途，1：自身生活需要；2：自身生产需要；3：自身科研需要；4：查验自身信息 */
    @ApiModelProperty(value = "所需信息的信息用途，1：自身生活需要；2：自身生产需要；3：自身科研需要；4：查验自身信息", position = 22)
    private Integer informationUsage;

    /** 查询码 */
    @ApiModelProperty(value = "查询码", position = 23)
    private String queryCode;

    /** 查询密码 */
    @ApiModelProperty(value = "查询密码", position = 24)
    private String queryPassword;

    /** 回复人 */
    @ApiModelProperty(value = "回复人", position = 25)
    private String replyPerson;

    /** 回复内容 */
    @ApiModelProperty(value = "回复内容", position = 26)
    private String replyContent;

    /** 回复状态 0：未回复；1：已回复； */
    @ApiModelProperty(value = "回复状态 0：未回复；1：已回复；", position = 27)
    private Integer replyStatus;
}
