/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.openGovernment.modular.ogPolicyInterpretation.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.common.pojo.CommonValidList;
import com.unis.openGovernment.modular.ogPolicyInterpretation.entity.OgPolicyInterpretation;
import com.unis.openGovernment.modular.ogPolicyInterpretation.param.OgPolicyInterpretationAddParam;
import com.unis.openGovernment.modular.ogPolicyInterpretation.param.OgPolicyInterpretationEditParam;
import com.unis.openGovernment.modular.ogPolicyInterpretation.param.OgPolicyInterpretationIdParam;
import com.unis.openGovernment.modular.ogPolicyInterpretation.param.OgPolicyInterpretationPageParam;
import com.unis.openGovernment.modular.ogProactiveDisclosure.param.OgGovernmentAndStatusParam;

import java.util.List;

/**
 * 政务公开-政策解读管理表Service接口
 *
 * @author hjc
 * @date  2024/05/22 10:55
 **/
public interface OgPolicyInterpretationService extends IService<OgPolicyInterpretation> {

    /**
     * 获取政务公开-政策解读管理表分页
     *
     * @author hjc
     * @date  2024/05/22 10:55
     */
    Page<OgPolicyInterpretation> page(OgPolicyInterpretationPageParam ogPolicyInterpretationPageParam);

    /**
     * 添加政务公开-政策解读管理表
     *
     * @author hjc
     * @date  2024/05/22 10:55
     */
    void add(OgPolicyInterpretationAddParam ogPolicyInterpretationAddParam);

    /**
     * 编辑政务公开-政策解读管理表
     *
     * @author hjc
     * @date  2024/05/22 10:55
     */
    void edit(OgPolicyInterpretationEditParam ogPolicyInterpretationEditParam);

    /**
     * 删除政务公开-政策解读管理表
     *
     * @author hjc
     * @date  2024/05/22 10:55
     */
    void delete(List<OgPolicyInterpretationIdParam> ogPolicyInterpretationIdParamList);

    /**
     * 获取政务公开-政策解读管理表详情
     *
     * @author hjc
     * @date  2024/05/22 10:55
     */
    OgPolicyInterpretation detail(OgPolicyInterpretationIdParam ogPolicyInterpretationIdParam);

    /**
     * 获取政务公开-政策解读管理表详情
     *
     * @author hjc
     * @date  2024/05/22 10:55
     **/
    OgPolicyInterpretation queryEntity(String id);
    /**
     * 启用，禁用
     *
     * @author hjc
     * @date  2024/05/20 16:18
     */
    void enableAndDisable(CommonValidList<OgGovernmentAndStatusParam> paramCommonValidList);


    /**
     * 网站-获取政策解读-文字解读
     *
     * @author hjc
     * @date  2024/05/22 10:55
     */
    Page<OgPolicyInterpretation> getTextualInterpretationAll(OgPolicyInterpretationPageParam ogPolicyInterpretationPageParam);

    /**
     * 网站-获取政策解读-图文解读
     *
     * @author hjc
     * @date  2024/05/22 10:55
     */
    Page<OgPolicyInterpretation> getPictureInterpretationAll(OgPolicyInterpretationPageParam ogPolicyInterpretationPageParam);
}
