/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.organization.modular.iodepartmentfunction.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.importantNews.modular.sinstatecouncilnotice.entity.BizSinStateCouncilNotice;
import com.unis.organization.modular.iodepartmentfunction.entity.BizIoDepartmentFunction;
import com.unis.organization.modular.iodepartmentfunction.param.BizIoDepartmentFunctionAddParam;
import com.unis.organization.modular.iodepartmentfunction.param.BizIoDepartmentFunctionEditParam;
import com.unis.organization.modular.iodepartmentfunction.param.BizIoDepartmentFunctionIdParam;
import com.unis.organization.modular.iodepartmentfunction.param.BizIoDepartmentFunctionPageParam;

import java.util.List;
import java.util.Map;

/**
 * 机构概况-职能信息管理表Service接口
 *
 * @author shine
 * @date  2024/05/21 14:25
 **/
public interface BizIoDepartmentFunctionService extends IService<BizIoDepartmentFunction> {

    /**
     * 获取机构概况-职能信息管理表分页
     *
     * @author shine
     * @date  2024/05/21 14:25
     */
    Page<BizIoDepartmentFunction> page(BizIoDepartmentFunctionPageParam bizIoDepartmentFunctionPageParam);

    /**
     * 添加机构概况-职能信息管理表
     *
     * @author shine
     * @date  2024/05/21 14:25
     */
    void add(BizIoDepartmentFunctionAddParam bizIoDepartmentFunctionAddParam);

    /**
     * 编辑机构概况-职能信息管理表
     *
     * @author shine
     * @date  2024/05/21 14:25
     */
    void edit(BizIoDepartmentFunctionEditParam bizIoDepartmentFunctionEditParam);

    /**
     * 删除机构概况-职能信息管理表
     *
     * @author shine
     * @date  2024/05/21 14:25
     */
    void delete(List<BizIoDepartmentFunctionIdParam> bizIoDepartmentFunctionIdParamList);

    /**
     * 获取机构概况-职能信息管理表详情
     *
     * @author shine
     * @date  2024/05/21 14:25
     */
    BizIoDepartmentFunction detail(BizIoDepartmentFunctionIdParam bizIoDepartmentFunctionIdParam);

    /**
     * 获取机构概况-职能信息管理表详情
     *
     * @author shine
     * @date  2024/05/21 14:25
     **/
    BizIoDepartmentFunction queryEntity(String id);

    void batchUpdateStatus(List<BizIoDepartmentFunction> list);

    Map<Integer,List<BizIoDepartmentFunction>> getList();

}
